ArtifactResolution.ArtifactResolutionRequestContext (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile.saml2
Class ArtifactResolution.ArtifactResolutionRequestContext

    java.lang.Object
      org.opensaml.ws.message.BaseMessageContext
          org.opensaml.common.binding.BasicSAMLMessageContext<InboundMessage,OutboundMessage,NameIdentifierType>
              edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext<RequestType,ResponseType,org.opensaml.saml2.core.NameID,ProfileConfigurationType>
                  edu.internet2.middleware.shibboleth.idp.profile.saml2.BaseSAML2ProfileRequestContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.ArtifactResolutionConfiguration>
                      edu.internet2.middleware.shibboleth.idp.profile.saml2.ArtifactResolution.ArtifactResolutionRequestContext

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.attribute.AttributeRequestContext, edu.internet2.middleware.shibboleth.common.profile.ProfileRequestContext<edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.ArtifactResolutionConfiguration>, edu.internet2.middleware.shibboleth.common.profile.provider.SAMLProfileRequestContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.ArtifactResolutionConfiguration>, org.opensaml.common.binding.SAMLMessageContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID>, org.opensaml.saml2.binding.SAML2ArtifactMessageContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID>, org.opensaml.ws.message.MessageContext

Enclosing class:
  ArtifactResolution

    public class ArtifactResolution.ArtifactResolutionRequestContext

extends BaseSAML2ProfileRequestContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,edu.internet2.middleware.shibboleth.common.relyingparty.provider.saml2.ArtifactResolutionConfiguration>
implements org.opensaml.saml2.binding.SAML2ArtifactMessageContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID>

Represents the internal state of a SAML 2.0 Artifact resolver request while it's being processed by the IdP.

Constructor Summary
`ArtifactResolution.ArtifactResolutionRequestContext()`

Method Summary
`String` | `getArtifact()`
`org.opensaml.common.SAMLObject` | `getReferencedMessage()`
`void` | `setArtifact(String saml2Artifact)`
`void` | `setReferencedMessage(org.opensaml.common.SAMLObject message)`

Methods inherited from class edu.internet2.middleware.shibboleth.idp.profile.saml2.BaseSAML2ProfileRequestContext
`getFailureStatus, setFailureStatus`

Methods inherited from class edu.internet2.middleware.shibboleth.common.profile.provider.BaseSAMLProfileRequestContext
`getAttributes, getMessageDecoder, getMessageEncoder, getNameIdentifierAttribute, getPrincipalAuthenticationMethod, getPrincipalName, getProfileConfiguration, getReleasedAttributes, getRelyingPartyConfiguration, getRequestedAttributesIds, getUserSession, setAttributes, setMessageDecoder, setMessageEncoder, setNameIdentifierAttribute, setPrincipalAuthenticationMethod, setPrincipalName, setProfileConfiguration, setReleasedAttributes, setRelyingPartyConfiguration, setRequestedAttributes, setUserSession`

Methods inherited from class org.opensaml.common.binding.BasicSAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, isIssuerAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from class org.opensaml.ws.message.BaseMessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.common.binding.SAMLMessageContext
`getInboundSAMLMessage, getInboundSAMLMessageId, getInboundSAMLMessageIssueInstant, getInboundSAMLProtocol, getLocalEntityId, getLocalEntityMetadata, getLocalEntityRole, getLocalEntityRoleMetadata, getMetadataProvider, getOuboundSAMLMessageSigningCredential, getOutboundMessageArtifactType, getOutboundSAMLMessage, getOutboundSAMLMessageId, getOutboundSAMLMessageIssueInstant, getOutboundSAMLProtocol, getPeerEntityEndpoint, getPeerEntityId, getPeerEntityMetadata, getPeerEntityRole, getPeerEntityRoleMetadata, getRelayState, getSubjectNameIdentifier, isInboundSAMLMessageAuthenticated, setInboundSAMLMessage, setInboundSAMLMessageAuthenticated, setInboundSAMLMessageId, setInboundSAMLMessageIssueInstant, setInboundSAMLProtocol, setLocalEntityId, setLocalEntityMetadata, setLocalEntityRole, setLocalEntityRoleMetadata, setMetadataProvider, setOutboundMessageArtifactType, setOutboundSAMLMessage, setOutboundSAMLMessageId, setOutboundSAMLMessageIssueInstant, setOutboundSAMLMessageSigningCredential, setOutboundSAMLProtocol, setPeerEntityEndpoint, setPeerEntityId, setPeerEntityMetadata, setPeerEntityRole, setPeerEntityRoleMetadata, setRelayState, setSubjectNameIdentifier`

Methods inherited from interface org.opensaml.ws.message.MessageContext
`getCommunicationProfileId, getInboundMessage, getInboundMessageIssuer, getInboundMessageTransport, getOutboundHandlerChainResolver, getOutboundMessage, getOutboundMessageIssuer, getOutboundMessageTransport, getPostSecurityInboundHandlerChainResolver, getPreSecurityInboundHandlerChainResolver, getSecurityPolicyResolver, isIssuerAuthenticated, setCommunicationProfileId, setInboundMessage, setInboundMessageIssuer, setInboundMessageTransport, setOutboundHandlerChainResolver, setOutboundMessage, setOutboundMessageIssuer, setOutboundMessageTransport, setPostSecurityInboundHandlerChainResolver, setPreSecurityInboundHandlerChainResolver, setSecurityPolicyResolver`

Constructor Detail

### ArtifactResolution.ArtifactResolutionRequestContext

    public ArtifactResolution.ArtifactResolutionRequestContext()

Method Detail

### getArtifact

    public String getArtifact()

  Specified by:
    `getArtifact` in interface `org.opensaml.saml2.binding.SAML2ArtifactMessageContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID>`

### setArtifact

    public void setArtifact(String saml2Artifact)

  Specified by:
    `setArtifact` in interface `org.opensaml.saml2.binding.SAML2ArtifactMessageContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID>`

### getReferencedMessage

    public org.opensaml.common.SAMLObject getReferencedMessage()

  Specified by:
    `getReferencedMessage` in interface `org.opensaml.saml2.binding.SAML2ArtifactMessageContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID>`

### setReferencedMessage

    public void setReferencedMessage(org.opensaml.common.SAMLObject message)

  Specified by:
    `setReferencedMessage` in interface `org.opensaml.saml2.binding.SAML2ArtifactMessageContext<org.opensaml.saml2.core.ArtifactResolve,org.opensaml.saml2.core.ArtifactResponse,org.opensaml.saml2.core.NameID>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.